# Tags

## Tag conversation

 - [PUT /v1/conversations/{conversationId}/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/conversations/putconversationsconversationidtagstagid.md): Tag a conversation. You may only use active tags to tag conversations.

## Untag conversation

 - [DELETE /v1/conversations/{conversationId}/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/conversations/deleteconversationsconversationidtagstagid.md): Untag a conversation. You may remove active or inactive tags from a conversation.

## Bulk tag conversation

 - [POST /v1/conversations/{conversationId}/tags/bulk](https://docs.dixa.io/openapi/dixa-api/v1/conversations/postconversationsconversationidtagsbulk.md): Initiate bulk tag of a conversation and process it asynchronously. If a tag with corresponding name does not exist it will be created.

## List tags

 - [GET /v1/conversations/{conversationId}/tags](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getconversationsconversationidtags.md): Get the tags for a particular conversation by providing the conversation id.

## Tag conversation

 - [PUT /v1/conversations/{conversationId}/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/tags/putconversationsconversationidtagstagid.md): Tag a conversation. You may only use active tags to tag conversations.

## Untag conversation

 - [DELETE /v1/conversations/{conversationId}/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/tags/deleteconversationsconversationidtagstagid.md): Untag a conversation. You may remove active or inactive tags from a conversation.

## Bulk tag conversation

 - [POST /v1/conversations/{conversationId}/tags/bulk](https://docs.dixa.io/openapi/dixa-api/v1/tags/postconversationsconversationidtagsbulk.md): Initiate bulk tag of a conversation and process it asynchronously. If a tag with corresponding name does not exist it will be created.

## List tags

 - [GET /v1/conversations/{conversationId}/tags](https://docs.dixa.io/openapi/dixa-api/v1/tags/getconversationsconversationidtags.md): Get the tags for a particular conversation by providing the conversation id.

## List tags

 - [GET /v1/tags](https://docs.dixa.io/openapi/dixa-api/v1/tags/gettags.md): List all tags in an organization. Only active tags are returned by default. To include deactivated tags use ?includeDeactivated=true.

## Create tag

 - [POST /v1/tags](https://docs.dixa.io/openapi/dixa-api/v1/tags/posttags.md): Create a tag.

## Get tag

 - [GET /v1/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/tags/gettagstagid.md): Get a tag by id.

## Delete tag

 - [DELETE /v1/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/tags/deletetagstagid.md): Deletes the tag and all its associations. Note that this operation is irreversible.

## Deactivate tag

 - [PATCH /v1/tags/{tagId}/deactivate](https://docs.dixa.io/openapi/dixa-api/v1/tags/patchtagstagiddeactivate.md): Deactivate a tag.

## Activate tag

 - [PATCH /v1/tags/{tagId}/activate](https://docs.dixa.io/openapi/dixa-api/v1/tags/patchtagstagidactivate.md): Activate a tag.

